libifeffit-perl_1.2.11d-10.2+b3_i386.deb


Advertisement

Description

libifeffit-perl - Perl extensions for IFEFFIT

Property Value
Distribution Debian Sid
Repository Debian Contrib i386
Package filename libifeffit-perl_1.2.11d-10.2+b3_i386.deb
Package name libifeffit-perl
Package version 1.2.11d
Package release 10.2+b3
Package architecture i386
Package type deb
Category contrib/perl devel::lang:perl devel::library implemented-in::c implemented-in::perl role::devel-lib
Homepage http://cars9.uchicago.edu/ifeffit/
License -
Maintainer Carlo Segre <segre@debian.org>
Download size 256.84 KB
Installed size 688.00 KB

Alternatives

Package Version Architecture Repository
libifeffit-perl_1.2.11d-10.2+b3_amd64.deb 1.2.11d amd64 Debian Contrib
libifeffit-perl - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:4.0
libgfortran5 >= 8
libquadmath0 >= 4.6
perl >= 5.28.0-3
perlapi-5.28.0 -
pgplot5 -

Provides

Name Value
perl-ifeffit -

Conflicts

Name Value
perl-ifeffit -

Replaces

Name Value
perl-ifeffit -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libifeffit-perl_1.2.11d-10.2+b3_i386.deb
Source Package ifeffit

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libifeffit-perl deb package:
    # sudo apt-get install libifeffit-perl

Files

Path
/usr/lib/i386-linux-gnu/perl5/5.28/Ifeffit.pm
/usr/lib/i386-linux-gnu/perl5/5.28/ifeffit_shell.pl
/usr/lib/i386-linux-gnu/perl5/5.28/test_a.pl
/usr/lib/i386-linux-gnu/perl5/5.28/auto/Ifeffit/Ifeffit.so
/usr/share/doc/libifeffit-perl/README
/usr/share/doc/libifeffit-perl/changelog.Debian.gz
/usr/share/doc/libifeffit-perl/changelog.Debian.i386.gz
/usr/share/doc/libifeffit-perl/changelog.gz
/usr/share/doc/libifeffit-perl/copyright
/usr/share/doc/libifeffit-perl/dot.ifeffit_macros
/usr/share/doc/libifeffit-perl/dot.ifeffitrc
/usr/share/man/man3/Ifeffit.3pm.gz
/usr/share/man/man3/ifeffit_shell.3pm.gz
/usr/share/perl5/Ifeffit.pm

Changelog

2017-07-24 - Mattia Rizzolo <mattia@debian.org>
ifeffit (2:1.2.11d-10.2) unstable; urgency=medium
* Non-maintainer upload.
[ gregor herrmann ]
* Fix "FTBFS with perl 5.26": add unescaped-left-brace.patch to escape
literal opening curly braces.  (Closes: #869436)
2016-11-06 - Stuart Prescott <stuart@debian.org>
ifeffit (2:1.2.11d-10.1) unstable; urgency=medium
* Non-maintainer upload.
* Sourceful upload for transitions (Closes: #808307).
2015-01-10 - Carlo Segre <segre@debian.org>
ifeffit (2:1.2.11d-10) unstable; urgency=medium
* Rebuild for latest Perl version
* Replace CPPFunction by rl_completion_func_t in src/cmdline/iffshell.c
for readline 6.3 compatibility (Closes: #749353)
* Set Compatibility level to 9
* Update to Standards-Version 3.9.6 (no changes)
2012-07-04 - Carlo Segre <segre@debian.org>
ifeffit (2:1.2.11d-9) unstable; urgency=low
* Change Build-Depends to libpng-dev instead of libpng12-dev
(Closes: #662376)
* Update to Standards-Version 3.9.3 (no changes)
2011-12-30 - Carlo Segre <segre@debian.org>
ifeffit (2:1.2.11d-8) unstable; urgency=low
* [Colin Watson <cjwatson@ubuntu.com>]
Link against -lreadline, not /usr/lib/libreadline.a (Closes: #648839)
* Change gs-common Build-Dep to ghostcript
* Build for Perl 5.14
2011-06-19 - Carlo Segre <segre@debian.org>
ifeffit (2:1.2.11d-7) unstable; urgency=low
* Rebuild for Perl 5.12 (Closes: #626584, #627748)
* Transition to dh_python2 (Closes: #616846)
* Upgrade to Standards-Version 3.9.2 (no changes)
* Set Compatibility level to 8
2010-04-07 - Carlo Segre <segre@debian.org>
ifeffit (2:1.2.11d-6) unstable; urgency=low
* Clean up build rules to minimize the size of diff.gz
* Switch to dpkg-source 3.0 (quilt) format
* Rename perl wrapper package to libifeffit-perl (Closes: #575933)
2010-03-21 - Carlo Segre <segre@debian.org>
ifeffit (2:1.2.11d-5) unstable; urgency=low
* Incorporate Ubuntu patch for --install-layout=deb in debian/rules
2010-03-21 - Carlo Segre <segre@debian.org>
ifeffit (2:1.2.11d-4) unstable; urgency=low
* Remove the \newif\ifpdf definitions in the documentation tree and
replace with \usepackage{ifpdf} (Closes: #573161)
* Upgrade to Standards-Version 3.8.4 (no changes)
2009-11-01 - Carlo Segre <segre@debian.org>
ifeffit (2:1.2.11d-3) unstable; urgency=low
* Update Standards-Version to 3.8.3 (no changes)
* Remove libreadline5-dev Build-Dep (Closes: #553785)
* Clean up all lintian errors:
- insert Education top category in python-ifeffit.desktop
- remove dh_desktop invocation in debian/rules
- add ${misc:Depends} in all binary packages

See Also

Package Description
libmtj-java-doc_0.9.14+dfsg-5_all.deb Java library for developing numerical applications (documentation)
libnvpair1linux_0.8.1-3_i386.deb Solaris name-value library for Linux
libuutil1linux_0.8.1-3_i386.deb Solaris userland utility library for Linux
libydpdict2-dev_1.0.4-3+b11_i386.deb library for reading Collins dictionaries - development files
libydpdict2_1.0.4-3+b11_i386.deb library for reading Collins dictionaries
libzfs2linux_0.8.1-3_i386.deb OpenZFS filesystem library for Linux
libzfslinux-dev_0.8.1-3_i386.deb OpenZFS filesystem development files for Linux
libzpool2linux_0.8.1-3_i386.deb OpenZFS pool library for Linux
linux-wlan-ng-firmware_0.2.9+dfsg-6_all.deb firmware files used by the linux-wlan-ng driver
linuxbrew-wrapper_20180923-1_all.deb Homebrew package manager for Linux
mali-midgard-dkms_16.0+pristine-4_all.deb Mali kernel driver for midgard hardware in DKMS format
mathematica-fonts_21_all.deb transitional dummy package
matlab-gdf_0.1.2-2.1_all.deb IO library for the GDF -- Matlab interface
matlab-support_0.0.21_all.deb distro integration for local MATLAB installations
mbrola_3.02b+dfsg-4_i386.deb Multilingual software speech synthesizer
Advertisement
Advertisement